#!/bin/bash

# ownCloud Univention Package
#  user update script
#
# Copyright 2011-2012 ownCloud Inc
#
# http://www.owncloud.com/
#
# All rights reserved.
#
# The source code of this program is made available
# under the terms of the GNU Affero General Public License version 3
# (GNU AGPL V3) as published by the Free Software Foundation.
#
# Binary versions of this program provided by ownCloud to you as
# well as other copyrighted, protected or trademarked materials like
# Logos, graphics, fonts, specific documentations and configurations,
# cryptographic keys etc. are subject to a license agreement between
# you and ownCloud and not subject to the GNU AGPL V3.
#
# In the case you use this program under the terms of the GNU AGPL V3,
# the program is provided in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
# GNU Affero General Public License for more details.
#
# You should have received a copy of the GNU Affero General Public
# License with the ownCloud distribution in file
# /var/www/owncloud/COPYING-AGPL; if not, see
# <http://www.gnu.org/licenses/>.

eval "$(ucr shell)"
IFS="$(echo -e "\n\r")"

if [ "$owncloud_user_enabled" = 1 ]; then
	userstate="enabling"
else
	userstate="disabling"
fi

echo "$userstate and applying quota of $owncloud_user_quota to all users that match $owncloud_join_users_filter .."

for dn in $(udm users/user list "$@" --filter "$owncloud_join_users_filter" | sed -ne 's/^DN: //p') ; do
	echo "modyfing $dn .."
	udm users/user modify "$@" --dn "$dn" \
		--set owncloudEnabled="$owncloud_user_enabled" \
		--set owncloudQuota="$owncloud_user_quota"
done